package m05bBD;

/**
 * This class holds information about an order, 
 * which is stored in the database table <tt>m0501t00_asignaciones</tt>. 
 * The table <tt>m0501t00_asignaciones</tt> is defined in the database as follows:
 * This class follows the convention of a JavaBean.
 *
 */
public class m05bAsignacion
    implements java.io.Serializable{

  private String asi_codigo    					= "";
  private String asi_matricula   				= "";
  private String asi_dni   						= "";
  private String asi_codrango					= "";
  private String asi_fsolicitud   		        = "";
  private String asi_fdesde		   		        = "";
  private String asi_fhasta		   		        = "";
  private String asi_fdevolucion   		        = "";
  private String asi_kmsalida					= "";
  private String asi_kmllegada					= "";
  private String asi_kmrecorridos				= "";
  private String asi_finalizada					= "";
  private String asi_orden						= "";
  private String asi_impreso					= "";
  private String asi_fimpresion   		        = "";
  private String asi_fdecreto	   		        = "";
  private String asi_fentrega	   		        = "";
  private String asi_decreto					= "";
  private String asi_entrega					= "";
  private String asi_descdpto					= "";
  private String asi_coddpto					= "";
  private String asi_permanente					= "";
  private String asi_codcargo					= "";
  private String asi_observaciones				= "";
  
  public String getAsi_codigo(){return asi_codigo;} 
  public void setAsi_codigo(String n){asi_codigo = n;}
  
  public String getAsi_matricula(){return asi_matricula;}  
  public void setAsi_matricula(String n){asi_matricula = n;}
  
  public String getAsi_dni(){return asi_dni;}  
  public void setAsi_dni(String n){asi_dni = n;}


  public String getAsi_fsolicitud(){return asi_fsolicitud;}
  public void setAsi_fsolicitud(String n){asi_fsolicitud = n;}
  
  public String getAsi_fdesde(){return asi_fdesde;}
  public void setAsi_fdesde(String n){asi_fdesde = n;}

  public String getAsi_fhasta(){return asi_fhasta;}
  public void setAsi_fhasta(String n){asi_fhasta = n;}
  
  public String getAsi_fdevolucion(){return asi_fdevolucion;}
  public void setAsi_fdevolucion(String n){asi_fdevolucion = n;}

  public String getAsi_kmsalida(){return asi_kmsalida;} 
  public void setAsi_kmsalida(String n){asi_kmsalida = n;}
  
  public String getAsi_kmllegada(){return asi_kmllegada;}  
  public void setAsi_kmllegada(String n){asi_kmllegada = n;}
  
  public String getAsi_kmrecorridos(){return asi_kmrecorridos;}  
  public void setAsi_kmrecorridos(String n){asi_kmrecorridos = n;}

  public String getAsi_finalizada(){return asi_finalizada;} 
  public void setAsi_finalizada(String n){asi_finalizada = n;}
  
  public String getAsi_orden(){return asi_orden;}  
  public void setAsi_orden(String n){asi_orden = n;}
  
  public String getAsi_impreso(){return asi_impreso;}  
  public void setAsi_impreso(String n){asi_impreso = n;}
  
  public String getAsi_fimpresion(){return asi_fimpresion;}
  public void setAsi_fimpresion(String n){asi_fimpresion = n;}
  
  public String getAsi_fdecreto(){return asi_fdecreto;}
  public void setAsi_fdecreto(String n){asi_fdecreto = n;}

  public String getAsi_fentrega(){return asi_fentrega;}
  public void setAsi_fentrega(String n){asi_fentrega = n;}

  public String getAsi_decreto(){return asi_decreto;} 
  public void setAsi_decreto(String n){asi_decreto = n;}
  
  public String getAsi_entrega(){return asi_entrega;}  
  public void setAsi_entrega(String n){asi_entrega = n;}
  
  public String getAsi_descdpto(){return asi_descdpto;} 
  public void setAsi_descdpto(String n){asi_descdpto = n;}
  
  public String getAsi_coddpto(){return asi_coddpto;}  
  public void setAsi_coddpto(String n){asi_coddpto = n;}

  public String getAsi_permanente(){return asi_permanente;} 
  public void setAsi_permanente(String n){asi_permanente = n;}
  
  public String getAsi_codcargo(){return asi_codcargo;}  
  public void setAsi_codcargo(String n){asi_codcargo = n;}
  
  public String getAsi_codrango(){return asi_codrango;}  
  public void setAsi_codrango(String n){asi_codrango = n;}

  public String getAsi_observaciones(){return asi_observaciones;}
  public void setAsi_observaciones(String n){asi_observaciones = n;}

  
  public String toString(){
    String s = "";
    s += "[Codigo asignacion = " + asi_codigo + "]";    
    s += "[Matricula asignacion = " + asi_matricula + "]";
    s += "[Dni asignacion = " + asi_dni + "]";
    s += "[Fsolicitud asignacion = " + asi_fsolicitud + "]";
    s += "[Fdesde asignacion = " + asi_fdesde + "]";
    s += "[Fhasta asignacion = " + asi_fhasta + "]";
    s += "[Fdevolucion asignacion = " + asi_fdevolucion + "]";
    s += "[Kmsalida asignacion = " + asi_kmsalida + "]";
    s += "[Kmllegada asignacion = " + asi_kmllegada + "]";
    s += "[Kmrecorridos asignacion = " + asi_kmrecorridos + "]";
    s += "[Finalizada asignacion = " + asi_finalizada + "]";
    s += "[Orden asignacion = " + asi_orden + "]";
    s += "[Impreso asignacion = " + asi_impreso + "]";
    s += "[Fimpresion asignacion = " + asi_fimpresion + "]";
    s += "[Fdecreto asignacion = " + asi_fdecreto + "]";
    s += "[Fentrega asignacion = " + asi_fentrega + "]";
    s += "[Decreto asignacion = " + asi_decreto + "]";
    s += "[Entrega asignacion = " + asi_entrega + "]";
    s += "[Descdpto asignacion = " + asi_descdpto + "]";
    s += "[Coddpto asignacion = " + asi_coddpto + "]";
    s += "[Permanente asignacion = " + asi_permanente + "]";
    s += "[Codrango asignacion = " + asi_codrango + "]";
    s += "[Codcargo asignacion = " + asi_codcargo + "]";
    s += "[Observaciones asignacion = " + asi_observaciones + "]";
    
    return s;
  }
 }